package com.casic.PgInterface.overtimeInPG.dto;

import com.casic.PgInterface.overtimeInPG.domain.PGInOutRec;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

public class PGInOutRecDto {
    private String inTime;
    private String outTime;
    private String personType;
    private String UserName;

    public String getInTime() {
        return inTime;
    }

    public void setInTime(String inTime) {
        this.inTime = inTime;
    }

    public String getOutTime() {
        return outTime;
    }

    public void setOutTime(String outTime) {
        this.outTime = outTime;
    }

    public String getPersonType() {
        return personType;
    }

    public void setPersonType(String personType) {
        this.personType = personType;
    }

    public String getUserName() {
        return UserName;
    }

    public void setUserName(String userName) {
        UserName = userName;
    }

    public static PGInOutRecDto ConverToDto (PGInOutRec pgInOutRec){
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        PGInOutRecDto pgInOutRecDto = new PGInOutRecDto();
        pgInOutRecDto.setUserName(pgInOutRec.getUserName());
        pgInOutRecDto.setInTime(simpleDateFormat.format(pgInOutRec.getInTime()));
        if(pgInOutRec.getOutTime()!=null)
            pgInOutRecDto.setOutTime(simpleDateFormat.format(pgInOutRec.getOutTime()));
        pgInOutRecDto.setUserName(pgInOutRec.getUserName());
        return  pgInOutRecDto;
    }

    public static List<PGInOutRecDto> ConvertToDtoList (List<PGInOutRec> pgInOutRecList)
    {
        List<PGInOutRecDto> pgInOutRecDtoList = new ArrayList<>();
        for(PGInOutRec pgInOutRec : pgInOutRecList)
        {
            pgInOutRecDtoList.add(ConverToDto(pgInOutRec));
        }
        return pgInOutRecDtoList;
    }
}
